/*
 *
 * php4-kadm5: remote administration of Kerberos Administration Servers
 * Copyright (C) 2003 GONICUS GmbH.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author:  Holger Burbach <holger.burbach@GONICUS.de>
 *          GONICUS GmbH
 *          Moehnestrasse 11-17
 *          D-59755 Arnsberg
 *          http://www.GONICUS.de
 *
 */

#ifndef PHP_KADM5_H
#define PHP_KADM5_H

extern zend_module_entry kadm5_module_entry;
#define phpext_kadm5_ptr &kadm5_module_entry

#ifdef PHP_WIN32
#define PHP_KADM5_API __declspec(dllexport)
#else
#define PHP_KADM5_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(kadm5);
PHP_MSHUTDOWN_FUNCTION(kadm5);
PHP_MINFO_FUNCTION(kadm5);

PHP_FUNCTION(kadm5_init_with_password);
PHP_FUNCTION(kadm5_destroy);
PHP_FUNCTION(kadm5_flush);
PHP_FUNCTION(kadm5_create_principal);
PHP_FUNCTION(kadm5_delete_principal);
PHP_FUNCTION(kadm5_modify_principal);
PHP_FUNCTION(kadm5_chpass_principal);
PHP_FUNCTION(kadm5_get_principals);
PHP_FUNCTION(kadm5_get_principal);

PHP_FUNCTION(kadm5_get_policies);


/*
    Declare any global variables you may need between the BEGIN
    and END macros here:

ZEND_BEGIN_MODULE_GLOBALS(kadm5)
    int   global_value;
    char *global_string;
ZEND_END_MODULE_GLOBALS(kadm5)
*/

/* In every utility function you add that needs to use variables
   in php_kadm5_globals, call TSRM_FETCH(); after declaring other
   variables used by that function, or better yet, pass in TSRMG_CC
   after the last function argument and declare your utility function
   with TSRMG_DC after the last declared argument.  Always refer to
   the globals in your function as KADM5_G(variable).  You are
   encouraged to rename these macros something shorter, see
   examples in any other php module directory.
*/

#ifdef ZTS
#define KADM5_G(v) TSRMG(kadm5_globals_id, zend_kadm5_globals *, v)
#else
#define KADM5_G(v) (kadm5_globals.v)
#endif

#endif	/* PHP_KADM5_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * indent-tabs-mode: t
 * End:
 */
